import java.util.*;
import java.io.*;

public  class  Prop
{   
 public Properties props = null;
 public String propsfile = null;

 public Prop(String Filename)
 {
  props = new Properties();
  propsfile = Filename;
 }

 public synchronized void Load() 
 {
  try {    
        FileInputStream  in  = new FileInputStream(propsfile);  
        props.load(in);
        in.close();
      } catch (IOException e) { System.out.println(e); }
 }

 public synchronized void Save(String desc)
 {
  try {    
        FileOutputStream  out  = new FileOutputStream(propsfile);  
        props.store(out,desc);
        out.close();
      } catch (IOException e) { System.out.println(e); }
 }

 public String getProperty(String key,String def)  
 {
   return props.getProperty(key,def);
 }

 public synchronized void putProperty(String key,String value)  
 {
   props.put(key,value);
 }
 
 public synchronized void delProperty(String key)   
 {
  props.remove(key);
 }
}
